package com.miaxis.app.report.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.app.report.domain.ReportInfo;
import com.miaxis.app.report.dto.ReportInfoDTO;

import java.util.List;

/**
 * 举报信息Service接口
 *
 * @author miaxis
 * @date 2021-01-06
 */
public interface IReportInfoService extends IService<ReportInfo>{
    /**
     * 查询举报信息
     *
     * @param id 举报信息ID
     * @return 举报信息
     */
    public ReportInfo selectReportInfoById(Long id);

    /**
     * 查询举报信息列表
     *
     * @param reportInfo 举报信息
     * @return 举报信息集合
     */
    public List<ReportInfo> selectReportInfoList(ReportInfo reportInfo);

    /**
     * 新增举报信息
     *
     * @return 结果
     */
    public void insertReportInfo(ReportInfoDTO reportInfoDTO);

    /**
     * 修改举报信息
     *
     * @param reportInfo 举报信息
     * @return 结果
     */
    public int updateReportInfo(ReportInfo reportInfo);

    /**
     * 批量删除举报信息
     *
     * @param ids 需要删除的举报信息ID
     * @return 结果
     */
    public int deleteReportInfoByIds(Long[] ids);

    /**
     * 删除举报信息信息
     *
     * @param id 举报信息ID
     * @return 结果
     */
    public int deleteReportInfoById(Long id);
}
